DRM_GEM_CMA_CREATE(9)

NAME
drm_gem_cma_create - allocate an object with the given size

SYNOPSIS

struct drm_gem_cma_object * drm_gem_cma_create(struct drm_device * drm, size_t size);

ARGUMENTS

drm
    DRM device

size
    size of the object to allocate

DESCRIPTION

This function creates a CMA GEM object and allocates a contiguous chunk of memory as backing store. The backing memory has the writecombine attribute set.

RETURNS

A struct drm_gem_cma_object * on success or an ERR_PTR-encoded negative error code on failure.

AUTHORS

Jesse Barnes <jesse.barnes@intel.com>
Intel Corporation,

    Initial version

Laurent Pinchart <laurent.pinchart@ideasonboard.com>
Ideas on board SPRL,

    Driver internals

Daniel Vetter <daniel.vetter@ffwll.ch>
Intel Corporation,

    Contributions all over the place

COPYRIGHT